
/*	Copyright (C) 2005, 2006 by Andy Grebe a.k.a. tecknophreak(tecknophreak@gmail.com)
 *
 *	This file is part of TouchMe Games.
 *
 *	TouchMe Games is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	TouchMe Games is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with TouchMe Games; if not, write to the Free Software
 *	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// support functions for DartTicTacToe

#include <darttictactoe.h>
#include <sstream>

DartTicTacToe::DartTicTacToe() : round(1), gameState(PLAYING) {
	bgcolor.red = 0x4600;
	bgcolor.green = 0x8200;
	bgcolor.blue = 0xB400;
	for (int i = 0; i < 8; ++i) {
		darts[i] = 0;
		rounds[i] = 0;
		doubles[i] = 0;
		triples[i] = 0;
	}
	winner = -1;
	beginningScore = 0;
}

DartTicTacToe::~DartTicTacToe() {
}

std::string DartTicTacToe::name() const {
	return "darttictactoe";
}

std::string DartTicTacToe::imageName() const {
	return "darttictactoe.gif";
}

GdkColor *DartTicTacToe::backgroundColor() {
	return &bgcolor;
}

GtkWidget *DartTicTacToe::getHelp() {
    GtkWidget *vbox;
    GtkWidget *label;
    GdkColor color;
    std::stringstream sstr;
    
    color.red = 0xFFFF;
    color.green = 0xFFFF;
    color.blue = 0xFFFF;
    
    vbox = gtk_vbox_new(FALSE, 0);
    
    sstr << "DartTicTacToe is a dart game where you play\n"
                    << "tic tac toe on the dart board.  The game randomly\n"
                    << "selects 8 numbers for the outside squares and\n"
                    << "uses the bulls eye as the center square.  To\n"
                    << "close out the square, you need to get 4 marks.\n"
                    << "The winner is the one to first get three in\n"
                    << "a row.";
    
    label = gtk_label_new(sstr.str().c_str());
    gtk_widget_modify_fg(label, (GtkStateType)0, &color);
    gtk_box_pack_start((GtkBox *)vbox, label, FALSE, FALSE, 10);
    return vbox;
}

int DartTicTacToe::gameType() const {
	return DART_GAME;
}

