

#ifndef TMG_DIR_H
#define TMG_DIR_H

#include <iostream>
#include <fstream>
#include <sstream>
#include <vector>
#include <string>


class TmgDir {
    
    public:
        enum DirOpts {
            NONE =          0x00,
            FULL_PATH =     0x01,
            EXT_MASK =      0x02,
            FILES_ONLY =    0x04,
            DIRS_ONLY  =    0x08,
            FILES_DIRS =    0x0C,
        };
        
        // contains all functionality
        int printDirectory(std::string path, std::vector<std::string> &directory, 
                           DirOpts opts = NONE, std::string extmask = "");
        
        std::string getExtension(std::string str);
        
    private:
        bool findFiles(DirOpts opts) {
            return opts & FILES_ONLY;
        }
        bool findDirs(DirOpts opts) {
            return opts & DIRS_ONLY;
        }
        bool findExt(DirOpts opts) {
            return opts & EXT_MASK;
        }
        bool fullPath(DirOpts opts) {
            return opts & FULL_PATH;
        }
        
};



#endif // TMG_DIR_H
